# Generated from hashcheck-0.1.4.gem by gem2rpm -*- rpm-spec -*-
%global gem_name hashcheck

Name: rubygem-%{gem_name}
Version: 0.1.4
Release: 1%{?dist}
Summary: Check and returns the kind of algorithm used for hashing
License: MIT
URL: http://github.com
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
BuildArch: noarch

%description
Check and returns the kind of algorithm used for hashing.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/hashcheck
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_instdir}/build.sh
%{gem_instdir}/hashcheck-0.1.1.gem
%{gem_instdir}/hashcheck-0.1.1.tar.gz
%{gem_instdir}/hashcheck-0.1.2.gem
%{gem_libdir}
%{gem_instdir}/ruby-hashcheck_0.1.1-1.debian.tar.xz
%{gem_instdir}/ruby-hashcheck_0.1.1-1.dsc
%{gem_instdir}/ruby-hashcheck_0.1.1-1_all.deb
%{gem_instdir}/ruby-hashcheck_0.1.1-1_amd64.changes
%{gem_instdir}/ruby-hashcheck_0.1.1.orig.tar.gz
%{gem_instdir}/vendor
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/hashcheck.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 0.1.4-1
- Initial package
